Abort a multipart upload
curl --request POST \
--url https://api.arg.ai/api/workspaces/{workspaceId}/files/upload/abort \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"uploadId": "<string>",
"key": "<string>"
}
'import requests
url = "https://api.arg.ai/api/workspaces/{workspaceId}/files/upload/abort"
payload = {
"uploadId": "<string>",
"key": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({uploadId: '<string>', key: '<string>'})
};
fetch('https://api.arg.ai/api/workspaces/{workspaceId}/files/upload/abort', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{}{
"detail": "<string>"
}Files
Abort a multipart upload
Discard an unfinished upload and its parts.
POST
/
api
/
workspaces
/
{workspaceId}
/
files
/
upload
/
abort
Abort a multipart upload
curl --request POST \
--url https://api.arg.ai/api/workspaces/{workspaceId}/files/upload/abort \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"uploadId": "<string>",
"key": "<string>"
}
'import requests
url = "https://api.arg.ai/api/workspaces/{workspaceId}/files/upload/abort"
payload = {
"uploadId": "<string>",
"key": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({uploadId: '<string>', key: '<string>'})
};
fetch('https://api.arg.ai/api/workspaces/{workspaceId}/files/upload/abort', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{}{
"detail": "<string>"
}Authorizations
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
Successful response
The response is of type object.